using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Bepitett
{
  public partial class frmBeptett : Form
  {
    public frmBeptett()
    {
      InitializeComponent();
      Szn = Color.Black;
      Kp = new Bitmap(pbRajz.Width, pbRajz.Height);
      RajzLap = Graphics.FromImage(Kp);
      Vletlen = new Random();
    }
    Color Szn;
    Bitmap Kp;
    Graphics RajzLap;
    Random Vletlen;
    private void tsmiKilp_Click(object sender, EventArgs e)
    {
      Application.Exit();
    }

    private void tsmij_Click(object sender, EventArgs e)
    {
      RajzLap.FillRectangle(Brushes.White, 0, 0, pbRajz.Width, pbRajz.Height);
      pbRajz.Invalidate();
    }

    private void pbRajz_Paint(object sender, PaintEventArgs e)
    {
      e.Graphics.DrawImage(Kp,0,0);
    }

    private void tsmiSzn_Click(object sender, EventArgs e)
    {
      cdSznvlaszt.Color = Szn;
      DialogResult dr = cdSznvlaszt.ShowDialog();
      if (dr == DialogResult.OK)
      {
        Szn = cdSznvlaszt.Color;
      }
    }

    private void tsmiRajzol_Click(object sender, EventArgs e)
    {
      Pen Toll = new Pen(Szn, 2);
      RajzLap.DrawRectangle(Toll, Vletlen.Next(pbRajz.Width-50),
        Vletlen.Next(pbRajz.Height-50),
        50, 50);
      pbRajz.Invalidate();
    }

    private void tsmiMent_Click(object sender, EventArgs e)
    {
      DialogResult dr = sfdMent.ShowDialog();
      if (dr == DialogResult.OK)
      {
        Kp.Save(sfdMent.FileName); 
      }
    }

    private void tsmiMegnyit_Click(object sender, EventArgs e)
    {
      DialogResult dr = ofdMegnyit.ShowDialog();
      if (dr == DialogResult.OK)
      {
        Kp.Dispose();
        Kp=(Bitmap)Image.FromFile(ofdMegnyit.FileName);
      }
    }
  }
}